Package ghidra.app.util

# Interface ProcessorInfo

public interface ProcessorInfo
Miscellanious address space defines for language providers. Provides recommended default address space names and IDs.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `BIT_SPACE`
  The bit space in a program.
  `static final String`
  `CODE_SPACE`
  The code space in a program.
  `static final int`
  `CODE_SPACE_ID`
  ID for the CODE_SPACE.
  `static final String`
  `DEFAULT_SPACE`
  The default address space in a program.
  `static final String`
  `EXTMEM_SPACE`
  The external memory space in a program.
  `static final int`
  `EXTMEM_SPACE_ID`
  ID for the EXTMEM_SPACE.
  `static final String`
  `INTMEM_SPACE`
  The internal memory space in a program.
  `static final int`
  `INTMEM_SPACE_ID`
  ID for the INTMEM_SPACE.
  `static final String`
  `SFR_SPACE`
  The Special function registers space in a program
  `static final int`
  `SFR_SPACE_ID`
  ID for the SFR_SPACE.

- ## Field Details

  - ### DEFAULT_SPACE

    static final String DEFAULT_SPACE
    The default address space in a program.
    See Also:
      - Constant Field Values

  - ### CODE_SPACE

    static final String CODE_SPACE
    The code space in a program.
    See Also:
      - Constant Field Values

  - ### INTMEM_SPACE

    static final String INTMEM_SPACE
    The internal memory space in a program.
    See Also:
      - Constant Field Values

  - ### BIT_SPACE

    static final String BIT_SPACE
    The bit space in a program.
    See Also:
      - Constant Field Values

  - ### EXTMEM_SPACE

    static final String EXTMEM_SPACE
    The external memory space in a program.
    See Also:
      - Constant Field Values

  - ### SFR_SPACE

    static final String SFR_SPACE
    The Special function registers space in a program
    See Also:
      - Constant Field Values

  - ### CODE_SPACE_ID

    static final int CODE_SPACE_ID
    ID for the CODE_SPACE.
    See Also:
      - Constant Field Values

  - ### INTMEM_SPACE_ID

    static final int INTMEM_SPACE_ID
    ID for the INTMEM_SPACE.
    See Also:
      - Constant Field Values

  - ### SFR_SPACE_ID

    static final int SFR_SPACE_ID
    ID for the SFR_SPACE.
    See Also:
      - Constant Field Values

  - ### EXTMEM_SPACE_ID

    static final int EXTMEM_SPACE_ID
    ID for the EXTMEM_SPACE.
    See Also:
      - Constant Field Values